IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

The review widget object

Attributes

iduuid
organization_iduuid
organizations.id
created_attimestamp with time zone
updated_attimestamp with time zone
color_backgroundtext
color_primarytext
color_texttext
fonttext | null
ftstsvector
languageLanguage
layouttext
number_of_itemsinteger
show_brandingboolean
titletext
The review widget object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "organization_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T06:50:03.887Z",
  "updated_at": "2026-03-12T06:50:03.887Z",
  "color_background": "#fff",
  "color_primary": "#067f54",
  "color_text": "#000",
  "font": "",
  "language": "en-US",
  "layout": "grid",
  "number_of_items": 6,
  "show_branding": true,
  "title": ""
}

List review widgets

Filters

idFilter<uuid>
organization_idFilter<uuid>
organizations.id
created_atFilter<timestamp with time zone>
updated_atFilter<timestamp with time zone>
color_backgroundFilter<text>
color_primaryFilter<text>
color_textFilter<text>
fontFilter<text | null>
ftsFilter<tsvector>
languageFilter<Language>
layoutFilter<text>
number_of_itemsFilter<integer>
show_brandingFilter<boolean>
titleFilter<text>

Responses

200

A list of review widgets with the selected columns

206

Partial Content

GET /review_widgets
curl -X GET "https://api.bookingmood.com/v1/review_widgets?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create review widgets

Body

Partial<ReviewWidget> | Array<Partial<ReviewWidget>>

Responses

201

The newly created review widgets with the selected columns

POST /review_widgets
curl -X POST "https://api.bookingmood.com/v1/review_widgets" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete review widgets

Filters

idFilter<uuid>
organization_idFilter<uuid>
organizations.id
created_atFilter<timestamp with time zone>
updated_atFilter<timestamp with time zone>
color_backgroundFilter<text>
color_primaryFilter<text>
color_textFilter<text>
fontFilter<text | null>
ftsFilter<tsvector>
languageFilter<Language>
layoutFilter<text>
number_of_itemsFilter<integer>
show_brandingFilter<boolean>
titleFilter<text>

Responses

204

The deleted review widgets with the selected columns

DELETE /review_widgets
curl -X DELETE "https://api.bookingmood.com/v1/review_widgets" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update review widgets

Filters

idFilter<uuid>
organization_idFilter<uuid>
organizations.id
created_atFilter<timestamp with time zone>
updated_atFilter<timestamp with time zone>
color_backgroundFilter<text>
color_primaryFilter<text>
color_textFilter<text>
fontFilter<text | null>
ftsFilter<tsvector>
languageFilter<Language>
layoutFilter<text>
number_of_itemsFilter<integer>
show_brandingFilter<boolean>
titleFilter<text>

Body

Partial<ReviewWidget>

Responses

204

The updated review widgets with the selected columns

PATCH /review_widgets
curl -X PATCH "https://api.bookingmood.com/v1/review_widgets" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'